<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
	<title>サンプルテンプレート</title>
    <meta name="description" content="サンプルテンプレート">
    <meta name="keywords" content="レストラン,フレンチ,原宿">
    <meta name="viewport" content="width=device-width,initial-scale=1.0,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no">
    <link href="css/reset.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="js/jquery.js"></script>
</head>
<body>
	
<?php
	
	//データベースに接続
	$mysqli = new mysqli("サーバー名", "ユーザー名", "パスワード", "データベース名");
	
	//もしエラーが起きたら、エラー内容が表示されます。
	if ($mysqli->connect_errno) {
	    printf("接続失敗: %s\n", $mysqli->connect_error);
	    exit();
	}
	
?>
	
	
<?php
		
	//フォームから送られてきたデータを各変数で受け取ります。
	//$name = $_POST['name']でも受け取れますが、セキュリティ上よくないので、htmlspecialcharsを使います。
	//htmlspecialcharsを使うとjsやhtmlを削除してくれるので、悪意あるコードが送られても防御できます。
	//これをサニタイズ処理と言います。
	$name = htmlspecialchars($_POST['name'], ENT_QUOTES);
	$age = htmlspecialchars($_POST['age'], ENT_QUOTES);
	$skill = htmlspecialchars($_POST['skill'], ENT_QUOTES);
	
	//変数のいずれかにデータが入っていたら、
	if (!empty($name)||!empty($age)||!empty($skill)){
		//データベースに登録されます。
		$result = mysqli_query($mysqli,"insert into userdata(name,age,skill) VALUES('$name','$age','$skill')");
	};
	        
?>
	
<!-- 普通のHTMLフォームです。 -->
<h1>登録フォーム</h1>
<!--methodをpostにすると、submitを押した時に、actionで指定したリンク先にフォームのデータが投げられます。-->
<!--投げられたデータはお名前の場合$_POST['name']で受け取れます。-->
<form method="post" action="index.php">
	<input type="text" name="name" placeholder="お名前" /><br/>
	<input type="text" name="age" placeholder="年齢" /><br/>
	<input type="text" name="skill" placeholder="スキル" /><br/>
	<input type="submit" name="submitBtn" value="登録" />
</form>
	
	
<?php
		
	//データベースにアクセスします。
	$userdata = "select * from userdata order by id DESC"; 
	$userdata = mysqli_query($mysqli,$userdata);
		
	//データが存在する分、繰り返しで表示されます。
	while ($userdataArray = mysqli_fetch_assoc($userdata)) {
	    echo $id = $userdataArray["id"];
	    echo ",";
		echo $name = $userdataArray["name"];
		echo ",";
		echo $age = $userdataArray["age"];
		echo ",";
		echo $skill = $userdataArray["skill"];
		echo "<br>";
	};
		
?>
	
	
	
</body>
</html>